#!/usr/bin/env bash
NETDATAHOST='http://localhost:19999'
NCUSER='user'

MINMODEL='1'
MAXMODEL='4'

MINSIDE='800'
MAXSIDE='2600'
DELTASIDE='200'

for ((i=${MINMODEL} ; i <= ${MAXMODEL} ; i++)); do

	php occ face:setup --model ${i}

	OUTPUTFILE="model-${i}.csv"

	echo "AREA,AVGTIME,MAXMEMORY,FACES,PERSONS" > ${OUTPUTFILE}

	for ((j=${MINSIDE} ; j <= ${MAXSIDE} ; j+=${DELTASIDE})); do
		let area=$((j ** 2))

		php occ face:reset --all -u ${NCUSER}

		AFTER=$(date +%s)
		php occ face:background_job -u ${NCUSER} --max_image_area ${area}
		BEFORE=$(date +%s)

		MAXMEMORY=$(curl -s "${NETDATAHOST}/api/v1/data?chart=apps.mem&before=${BEFORE}&after=${AFTER}&dimensions=php" | jq '.data[][1]' | sort -Vr | head -n1)

		php occ face:background_job -u ${NCUSER}

		ALLTIME=$((${BEFORE}-${AFTER}))
		IMAGES=$(php occ face:stats --json -u ${NCUSER} | jq '.[].images')
		FACES=$(php occ face:stats --json -u ${NCUSER} | jq '.[].faces')
		PERSONS=$(php occ face:stats --json -u ${NCUSER} | jq '.[].persons')
		AVGTIME=$(echo "scale=3; ${ALLTIME}/${IMAGES}" | bc -l)

		echo "${area},${AVGTIME},${MAXMEMORY},${FACES},${PERSONS}" >> ${OUTPUTFILE}

		sleep 1
	done
done